Chuyển đến nội dung
Diễn đàn CADViet

huunhantvxdts

Thành viên
  • Số lượng nội dung

    390
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    12

Cộng đồng

64 (tàm tạm)

About huunhantvxdts

  • Cấp bậc
    biết dimedit

Phương pháp liên hệ

  • ICQ
    0
  1. Bản đã cập nhật hoàn thiện hơn
  2. Nhờ viết lisp phân loại thép

    Theo mình nghĩ nếu 1 hàng như vậy 1 làm 1 block att thì việc thống kế sẽ dễ hơn
  3. [Đã xong] - Tự động bật - tắt chế độ gõ tiếng việt trong CAD

    Bạn kiểm tra lại chạy được lisp nhưng không tự bật gõ tiếng việt lên thấy thừa mấy dâu "))"
  4. [Yêu Cầu] Tính tổng chiều dài theo layer !!!!

    Rãnh rỗi luyện tý (defun C:thaytext(/ ndtexttt cuoi dau vttim ndtex khcach chieudai) (command "cmdecho" 0) (setq dtthep (car (entsel "\nChon doi tuong lay chieu dai."))) (setq chieudai (vlax-curve-getDistAtParam dtthep (vlax-curve-getEndParam dtthep))) (setq point1 (getpoint "\nChon diem thu 1")) (setq point2 (getpoint point1 "\nChon diem thu 2")) (setq khcach (distance point1 point2)) (setq dttext (entsel "\nChon doi tuong text thay the")) (setq ndtext (cdr (assoc 1 (entget (car dttext))))) (if (setq vttim (vl-string-search "@" ndtext)) (setq vttim (vl-string-search "@" ndtext)) (setq vttim (vl-string-search "-" ndtext))) (setq dau (substr ndtext 1 vttim)) (setq cuoi (substr ndtext (+ vttim 1))) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (setq thongtin (entget (car dttext))) (setq giatricu (assoc 1 thongtin)) (setq giatrimoi (cons 1 (strcat dau "," (rtos chieudai 2 0) "," cuoi "," (rtos khcach 2 0)))) (setq thongtin (subst giatrimoi giatricu thongtin)) (entmod thongtin) (command "_change" dttext "" "p" "c" "1" "") ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (princ) )
  5. [Nhờ giúp đỡ] Nối các list với nhau

    Ok nghĩ cao siêu quá bạn gợi ý là mình làm được rồi Cám ơn bạn nhiều
  6. [Nhờ giúp đỡ] Nối các list với nhau

    ok ừ làm ở TVTK Trường Sơn Quảng Bình
  7. [Nhờ giúp đỡ] Nối các list với nhau

    Lấy 1 phần tử đầu tiên của (1+2) nhét vào giữa 1 và 2 của thằng 3 sau đó lấy 2 phần tử tiếp theo nhét vào giữa 2 và 3 của thằng 3, rồi còn 2 phần tử còn lại nhét vào giữa 3 và 4 của thằng 3
  8. [Nhờ giúp đỡ] Nối các list với nhau

    Tôi có list như sau 1.("A" "B") 2.("1" "2" "3") 3.("1.2" "2.3" "3.2" "2.1") ghép 1 và 2 để thành ("1" "A" "2" "B" "3") sau đó ghép với 3 để thành ("1.2" "1" "2.3" "A" "2" "3.2" "B" "3" "2.1")
  9. [Hỏi] Hàm ssget trong Autolisp

    OK được rồi bỡi thấy entget nó (50 . 1.5708) nên nghĩ vậy có làm (/ pi 2) nhưng thay ở vị trí số 1.5708 thì báo lỗi Cám ơn Bác nhiều
  10. [Hỏi] Hàm ssget trong Autolisp

    Với câu lệnh này (setq so (ssget '((0 . "*TEXT") (50 . 1.5708)))) không chọn được các text số có góc quay 90 độ
  11. LISP đối xứng đối tượng

    Quá khó cho 1 yêu cầu???? Phải có thêm 1 phương nữa mới làm được
  12. [Nhờ giúp đỡ] tìm hiểu về OBJECT

    Làm sao viết trong cái này nó chữa những nội dung gì??? #<VLA-OBJECT ISWbemObjectSet 033eac18> Nhờ mọi người ai biết xin chỉ giáo
  13. Lấy khối lượng trắc ngang chuyển qua excell https://youtu.be/H1necTUJU6w Tính khối lượng trên từng trắc ngang https://youtu.be/7NInPky8G1M
×